/[pdpsoft]/trunk/nl.nikhef.ndpf.tools/LSIUtilKit/lsi-wipe
ViewVC logotype

Contents of /trunk/nl.nikhef.ndpf.tools/LSIUtilKit/lsi-wipe

Parent Directory Parent Directory | Revision Log Revision Log


Revision 2668 - (show annotations) (download)
Tue Aug 20 18:57:02 2013 UTC (8 years, 5 months ago) by davidg
File size: 558 byte(s)
Add some very dangerous scripts to recreate raid arrays form the OS

1 #! /bin/sh
2 #
3 if [ ! -x /usr/sbin/lsiutil ]; then
4 echo "Cannot find lsiutil, sorry" >&2
5 exit 1
6 fi
7 if [ ! -x /usr/sbin/mpt-status ]; then
8 echo "Cannot find mpt-status, sorry" >&2
9 exit 1
10 fi
11
12 if [ "x$1" != "x-f" ]; then
13 mpt-status -n > /dev/null 2>&1
14 if [ $? -ne 0 ]; then
15 echo "MPT: something WRONG here!" >&2
16 exit 1
17 fi
18 fi
19
20 # 21=RAID actions, 31=Delete, Yes=really?, Yes=zeroblock, 0=quit, 0=quit
21 echo -ne "21\n31\nYes\nYes\n0\n0\n" | lsiutil -p 1
22
23 # rescan all scsi busses
24 for i in /sys/class/scsi_host/host*/scan
25 do
26 echo "- - -" > $i
27 done

Properties

Name Value
svn:executable *

grid.support@nikhef.nl
ViewVC Help
Powered by ViewVC 1.1.28